### Navigation

- index
- modules |
- modules |
- next |
- previous |
- home|
- search|
- documentation »
- The IPython API »

# Module: `nbformat.v2`

The main API for the v2 notebook format.

Authors:

- Brian Granger

## 1 Function

`IPython.nbformat.v2.``parse_filename`(fname)

  Parse a notebook filename.

  This function takes a notebook filename and returns the notebook format (json/py) and the notebook name. This logic can be summarized as follows:

  - notebook.ipynb -> (notebook.ipynb, notebook, json)
  - notebook.json -> (notebook.json, notebook, json)
  - notebook.py -> (notebook.py, notebook, py)
  - notebook -> (notebook.ipynb, notebook, json)

  Parameters :

  fname : unicode

  > The notebook filename. The filename can use a specific filename extention (.ipynb, .json, .py) or none, in which case .ipynb will be assumed.

  Returns :

  (fname, name, format) : (unicode, unicode, unicode)

  > The filename, notebook name and format.

### Navigation

- index
- modules |
- modules |
- next |
- previous |
- home|
- search|
- documentation »
- The IPython API »